Store APIsPayments
Get payment
Retrieves a payment by ID. Requires the ORDERS_READ scope.
AuthorizationBearer <token>
Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.
In: header
Path Parameters
storeId*string
Length
12 <= length <= 48paymentId*string
Length
12 <= length <= 48Header Parameters
idempotency-key?string
Length
8 <= length <= 32Response Body
application/json
application/json
curl -X GET "https://example.com/stores/stringstring/orders/payments/stringstring"{ "ok": true, "data": { "id": "pmt_5h7n4tr3bcfp2v8q1mzj0kxw", "referenceId": "pi_3OXxxxxx0123456789ABCDEF", "amount": 2900, "totalAmount": 2920, "status": "COMPLETED", "pspProvider": "MULTI_PSP", "paymentMethod": { "type": "card", "cardBrand": "visa", "cardLastFour": "4242" }, "couponCode": null, "country": "US", "customer": { "id": "cus_j8h0r1n4tzcbfp2v8q1mzwx5", "email": "buyer@example.com", "firstName": "Alex", "lastName": "Doe", "guest": false }, "order": { "id": "ord_p2v8q1mzj0kxw5h7n4tr3bcf", "orderNumber": "cs_abcdef0123456789", "status": "COMPLETED", "amount": 2900, "currency": "USD" }, "createdAt": "2026-05-14T12:34:56.000Z", "discountAmount": 0, "platformFeeAmount": 191, "pspFeeAmount": 114, "taxAmount": 20, "settledAmount": 2615, "presentmentCurrency": null, "presentmentAmount": null, "exchangeRate": null, "taxId": null, "ipAddress": "203.0.113.42", "userAgent": "Mozilla/5.0", "geo": { "city": "San Francisco", "region": "CA", "country": "US", "postal": "94105", "asn": null, "org": null }, "dispute": null, "timeline": [], "availablePaymentMethods": [ "card", "klarna" ], "network": null, "updatedAt": "2026-05-14T12:35:10.000Z" }}